FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Development

 
 
LinkBack Thread Tools
 
Old 04-02-2010, 01:03 PM
Mike Chambers
 
Default sssd update pulling in 686 packages

================================================== ==============================
sssd-1.1.1-1.fc13 (FEDORA-2010-5644)
System Security Services Daemon
--------------------------------------------------------------------------------
Update Information:

* Fixed the IPA provider (which was segfaulting at start) * Fixed a bug in
the SSSDConfig API causing some options to revert to their defaults * This
impacted the Authconfig UI * Ensure that SASL binds to LDAP auto-retry when
interrupted by a signal
--------------------------------------------------------------------------------
ChangeLog:

* Thu Apr 1 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.1.1-1
- New upstream release 1.1.1
- Fixed the IPA provider (which was segfaulting at start)
- Fixed a bug in the SSSDConfig API causing some options to revert to
- their defaults
- This impacted the Authconfig UI
- Ensure that SASL binds to LDAP auto-retry when interrupted by a signal
* Mon Mar 22 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.1.0-2
- Release SSSD 1.1.0 final
- Fix two potential segfaults
- Fix memory leak in monitor
- Better error message for unusable confdb
* Wed Mar 17 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.1.0-1.pre20100317git0ea7f19
- Release candidate for SSSD 1.1
- Add simple access provider
- Create subpackages for libcollection, libini_config, libdhash and librefarray
- Support IPv6
- Support LDAP referrals
- Fix cache issues
- Better feedback from PAM when offline
* Wed Feb 24 2010 Stephen Gallagehr <sgallagh@redhat.com> - 1.0.5-2
- Rebuild against new libtevent

On 64bit system it seems to be pulling in 686 packages...

pdating:
sssd x86_64 1.1.1-1.fc13 updates-testing 885 k
sssd-client x86_64 1.1.1-1.fc13 updates-testing 36 k
Installing for dependencies:
glibc i686 2.11.90-16 fedora 4.4 M
libcollection i686 0.4.0-1.fc13 updates-testing 40 k
libdhash i686 0.4.0-1.fc13 updates-testing 28 k
libini_config i686 0.4.0-1.fc13 updates-testing 32 k
nss-softokn-freebl i686 3.12.4-15.fc13 fedora 110 k

--
Mike Chambers
Madisonville, KY

"Best lil town on Earth!"

--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 04-02-2010, 03:18 PM
Simo Sorce
 
Default sssd update pulling in 686 packages

On Fri, 02 Apr 2010 08:03:52 -0500
Mike Chambers <mike@miketc.net> wrote:

>
> ================================================== ==============================
> sssd-1.1.1-1.fc13 (FEDORA-2010-5644)
> System Security Services Daemon
> --------------------------------------------------------------------------------
> Update Information:
>
> * Fixed the IPA provider (which was segfaulting at start) * Fixed
> a bug in the SSSDConfig API causing some options to revert to their
> defaults * This impacted the Authconfig UI * Ensure that SASL
> binds to LDAP auto-retry when interrupted by a signal
> --------------------------------------------------------------------------------
> ChangeLog:
>
> * Thu Apr 1 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.1.1-1
> - New upstream release 1.1.1
> - Fixed the IPA provider (which was segfaulting at start)
> - Fixed a bug in the SSSDConfig API causing some options to revert to
> - their defaults
> - This impacted the Authconfig UI
> - Ensure that SASL binds to LDAP auto-retry when interrupted by a
> signal
> * Mon Mar 22 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.1.0-2
> - Release SSSD 1.1.0 final
> - Fix two potential segfaults
> - Fix memory leak in monitor
> - Better error message for unusable confdb
> * Wed Mar 17 2010 Stephen Gallagher <sgallagh@redhat.com> -
> 1.1.0-1.pre20100317git0ea7f19
> - Release candidate for SSSD 1.1
> - Add simple access provider
> - Create subpackages for libcollection, libini_config, libdhash and
> librefarray
> - Support IPv6
> - Support LDAP referrals
> - Fix cache issues
> - Better feedback from PAM when offline
> * Wed Feb 24 2010 Stephen Gallagehr <sgallagh@redhat.com> - 1.0.5-2
> - Rebuild against new libtevent
>
> On 64bit system it seems to be pulling in 686 packages...
>
> pdating:
> sssd x86_64 1.1.1-1.fc13
> updates-testing 885 k sssd-client x86_64
> 1.1.1-1.fc13 updates-testing 36 k Installing for
> dependencies: glibc i686 2.11.90-16
> fedora 4.4 M libcollection i686
> 0.4.0-1.fc13 updates-testing 40 k libdhash
> i686 0.4.0-1.fc13 updates-testing 28 k
> libini_config i686 0.4.0-1.fc13
> updates-testing 32 k nss-softokn-freebl i686
> 3.12.4-15.fc13 fedora 110 k
>

Is it possible that yum is trying to pick up 686 versions of the
libraries because they are missing from the x86_64 repo ?

Simo.


--
Simo Sorce * Red Hat, Inc * New York
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 04-02-2010, 03:20 PM
"Chen Lei"
 
Default sssd update pulling in 686 packages

ňťĘ2010-04-02┬*21:03:52´╝î"Mike┬*Chambers"┬*<mike@miketc.net> ┬*ňćÖÚüô´╝Ü
>
>================================================= ===============================
>┬*sssd-1.1.1-1.fc13┬*(FEDORA-2010-5644)
>┬*System┬*Security┬*Services┬*Daemon
>--------------------------------------------------------------------------------
>Update┬*Information:
>
>┬**┬*Fixed┬*the┬*IPA┬*provider┬*(which┬*was┬*segf aulting┬*at┬*start)┬*┬*┬**┬*Fixed┬*a┬*bug┬*in
>the┬*SSSDConfig┬*API┬*causing┬*some┬*options┬*to┬ *revert┬*to┬*┬*their┬*defaults┬*┬*┬*┬**┬*This
>impacted┬*the┬*Authconfig┬*UI┬*┬*┬**┬*Ensure┬*tha t┬*SASL┬*binds┬*to┬*LDAP┬*auto-retry┬*when
>interrupted┬*by┬*a┬*signal
>--------------------------------------------------------------------------------
>ChangeLog:
>
>*┬*Thu┬*Apr┬*┬*1┬*2010┬*Stephen┬*Gallagher┬*<sgal lagh@redhat.com>┬*-┬*1.1.1-1
>-┬*New┬*upstream┬*release┬*1.1.1
>-┬*Fixed┬*the┬*IPA┬*provider┬*(which┬*was┬*segfault ing┬*at┬*start)
>-┬*Fixed┬*a┬*bug┬*in┬*the┬*SSSDConfig┬*API┬*causing ┬*some┬*options┬*to┬*revert┬*to
>-┬*their┬*defaults
>-┬*This┬*impacted┬*the┬*Authconfig┬*UI
>-┬*Ensure┬*that┬*SASL┬*binds┬*to┬*LDAP┬*auto-retry┬*when┬*interrupted┬*by┬*a┬*signal
>*┬*Mon┬*Mar┬*22┬*2010┬*Stephen┬*Gallagher┬*<sgall agh@redhat.com>┬*-┬*1.1.0-2
>-┬*Release┬*SSSD┬*1.1.0┬*final
>-┬*Fix┬*two┬*potential┬*segfaults
>-┬*Fix┬*memory┬*leak┬*in┬*monitor
>-┬*Better┬*error┬*message┬*for┬*unusable┬*confdb
>*┬*Wed┬*Mar┬*17┬*2010┬*Stephen┬*Gallagher┬*<sgall agh@redhat.com>┬*-┬*1.1.0-1.pre20100317git0ea7f19
>-┬*Release┬*candidate┬*for┬*SSSD┬*1.1
>-┬*Add┬*simple┬*access┬*provider
>-┬*Create┬*subpackages┬*for┬*libcollection,┬*libini _config,┬*libdhash┬*and┬*librefarray
>-┬*Support┬*IPv6
>-┬*Support┬*LDAP┬*referrals
>-┬*Fix┬*cache┬*issues
>-┬*Better┬*feedback┬*from┬*PAM┬*when┬*offline
>*┬*Wed┬*Feb┬*24┬*2010┬*Stephen┬*Gallagehr┬*<sgall agh@redhat.com>┬*-┬*1.0.5-2
>-┬*Rebuild┬*against┬*new┬*libtevent
>
>On┬*64bit┬*system┬*it┬*seems┬*to┬*be┬*pulling┬*in ┬*686┬*packages...
>
>pdating:
>┬*sssd┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*x86_6 4┬*┬*┬*┬*┬*1.1.1-1.fc13┬*┬*┬*┬*┬*┬*┬*updates-testing┬*┬*┬*┬*┬*885┬*k
>┬*sssd-client┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*x86_64┬*┬*┬*┬*┬*1.1. 1-1.fc13┬*┬*┬*┬*┬*┬*┬*updates-testing┬*┬*┬*┬*┬*┬*36┬*k
>Installing┬*for┬*dependencies:
>┬*glibc┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*i686┬* ┬*┬*┬*┬*┬*┬*2.11.90-16┬*┬*┬*┬*┬*┬*┬*┬*┬*fedora┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬* ┬*┬*4.4┬*M
>┬*libcollection┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*i686┬*┬*┬*┬*┬* ┬*┬*0.4.0-1.fc13┬*┬*┬*┬*┬*┬*┬*updates-testing┬*┬*┬*┬*┬*┬*40┬*k
>┬*libdhash┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*i686┬*┬*┬ *┬*┬*┬*┬*0.4.0-1.fc13┬*┬*┬*┬*┬*┬*┬*updates-testing┬*┬*┬*┬*┬*┬*28┬*k
>┬*libini_config┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*i686┬*┬*┬*┬*┬* ┬*┬*0.4.0-1.fc13┬*┬*┬*┬*┬*┬*┬*updates-testing┬*┬*┬*┬*┬*┬*32┬*k
>┬*nss-softokn-freebl┬*┬*┬*┬*┬*i686┬*┬*┬*┬*┬*┬*┬*3.12.4-15.fc13┬*┬*┬*┬*┬*fedora┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬*┬ *110┬*k
>
>--┬*
See https://fedoraproject.org/wiki/PackagingDrafts/ArchSpecificRequires


--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 04-02-2010, 03:34 PM
Orion Poplawski
 
Default sssd update pulling in 686 packages

On 04/02/2010 09:18 AM, Simo Sorce wrote:
>
> Is it possible that yum is trying to pick up 686 versions of the
> libraries because they are missing from the x86_64 repo ?

Yeah, something is screwed up in the repo:

# yum list libcollection --showduplicates
Loaded plugins: downloadonly, presto
Installed Packages
libcollection.x86_64 0.4.0-2.fc13
@updates-testing
Available Packages
libcollection.i686 0.4.0-1.fc13
updates-testing
libcollection.x86_64 0.4.0-1.fc13
updates-testing

---> Package sssd.x86_64 0:1.1.1-1.fc13 set to be updated
--> Processing Dependency: libcollection = 0.4.0-1.fc13 for package:
sssd-1.1.1-1.fc13.x86_64
TSINFO: Marking libcollection-0.4.0-1.fc13.i686 as install for
sssd-1.1.1-1.fc13.x86_64

This more of things disappearing from updates-testing before appearing
in the main F13 repo? Multi-lib issue?

I suppose yum might want to complain that sssd wants an earlier version
than that already installed rather than trying to grab the i686 version.

--
Orion Poplawski
Technical Manager 303-415-9701 x222
NWRA/CoRA Division FAX: 303-415-9702
3380 Mitchell Lane orion@cora.nwra.com
Boulder, CO 80301 http://www.cora.nwra.com
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 04-02-2010, 03:44 PM
Simo Sorce
 
Default sssd update pulling in 686 packages

On Fri, 02 Apr 2010 09:34:31 -0600
Orion Poplawski <orion@cora.nwra.com> wrote:

> This more of things disappearing from updates-testing before
> appearing in the main F13 repo? Multi-lib issue?

Only sssd-client should be multilib, and it does not require the other
libs.

> I suppose yum might want to complain that sssd wants an earlier
> version than that already installed rather than trying to grab the
> i686 version.

Right, this is an issue.
I will apply a fix to the spec an rebuild.

Simo.

--
Simo Sorce * Red Hat, Inc * New York
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 04-02-2010, 05:54 PM
Orion Poplawski
 
Default sssd update pulling in 686 packages

On 04/02/2010 09:34 AM, Orion Poplawski wrote:
>
> I suppose yum might want to complain that sssd wants an earlier version
> than that already installed rather than trying to grab the i686 version.
>

It does if you try to run the transaction:
Error: Transaction Check Error:
package libdhash-0.4.0-2.fc13.x86_64 (which is newer than
libdhash-0.4.0-1.fc13.i686) is already installed
package libcollection-0.4.0-2.fc13.x86_64 (which is newer than
libcollection-0.4.0-1.fc13.i686) is already installed
package libini_config-0.4.0-2.fc13.x86_64 (which is newer than
libini_config-0.4.0-1.fc13.i686) is already installed


--
Orion Poplawski
Technical Manager 303-415-9701 x222
NWRA/CoRA Division FAX: 303-415-9702
3380 Mitchell Lane orion@cora.nwra.com
Boulder, CO 80301 http://www.cora.nwra.com
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 04-05-2010, 11:17 AM
Stephen Gallagher
 
Default sssd update pulling in 686 packages

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 04/02/2010 11:44 AM, Simo Sorce wrote:
> On Fri, 02 Apr 2010 09:34:31 -0600
> Orion Poplawski <orion@cora.nwra.com> wrote:
>
>> This more of things disappearing from updates-testing before
>> appearing in the main F13 repo? Multi-lib issue?
>
> Only sssd-client should be multilib, and it does not require the other
> libs.
>
>> I suppose yum might want to complain that sssd wants an earlier
>> version than that already installed rather than trying to grab the
>> i686 version.
>
> Right, this is an issue.
> I will apply a fix to the spec an rebuild.
>
> Simo.
>

Sorry about that, folks. In order to ensure that the latest versions of
the required subpackages are installed, I have an explicit Requires: on
the %{version}-{release} of the subpackages. This broke when I reset the
%{release} to 1 following a new %{version} bump.

Simo, thank you for pushing a fix. It's available in updates-testing
now. Karma appreciated.

- --
Stephen Gallagher
RHCE 804006346421761

Delivering value year after year.
Red Hat ranks #1 in value among software vendors.
http://www.redhat.com/promo/vendor/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Fedora - http://enigmail.mozdev.org/

iEYEARECAAYFAku5xsUACgkQeiVVYja6o6PsnACdHXGPqlfJXI tbXDwPPWCcsLBX
jw8An04eRyrj3l7VPyLdK9f0IRBHVwSv
=1+B9
-----END PGP SIGNATURE-----
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 

Thread Tools




All times are GMT. The time now is 04:17 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ę2007 - 2008, www.linux-archive.org